Class {
	#name : #GrafoscopioFmtBeginningLinebreak,
	#superclass : #GrafoscopioFormat,
	#category : #'Grafoscopio-Pillar'
}

{ #category : #'target resize' }
GrafoscopioFmtBeginningLinebreak >> applyOn: aString from: textStart to: textStop [
	^ textStart = model textStart
		ifTrue: [ OSPlatform current lineEnding , aString ]
		ifFalse: [ aString ]
]

{ #category : #'target resize' }
GrafoscopioFmtBeginningLinebreak >> leftSize [
	^ OSPlatform current lineEnding size
]

{ #category : #'target resize' }
GrafoscopioFmtBeginningLinebreak >> rightSize [ 
	^ 0
]
