Class {
	#name : #GrafoscopioFmtEndingLinebreak,
	#superclass : #GrafoscopioFormat,
	#category : #'Grafoscopio-Pillar'
}

{ #category : #'target resize' }
GrafoscopioFmtEndingLinebreak >> applyOn: aString from: textStart to: textStop [
	^ textStop = model textStop
		ifTrue: [ aString , OSPlatform current lineEnding ]
		ifFalse: [ aString ]
]

{ #category : #'target resize' }
GrafoscopioFmtEndingLinebreak >> leftSize [
	^ 0
]

{ #category : #'target resize' }
GrafoscopioFmtEndingLinebreak >> rightSize [
	^ OSPlatform current lineEnding size
]

{ #category : #'target resize' }
GrafoscopioFmtEndingLinebreak >> value: aString [
	^aString , OSPlatform  current lineEnding
]
