Class {
	#name : #GrafoscopioPillarASTextStringProjectionDecorator,
	#superclass : #GrafoscopioPillarASTextStringDecorator,
	#instVars : [
		'from',
		'to',
		'cached'
	],
	#category : #'Grafoscopio-Pillar'
}

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> allRangesOfSubstring: aString [
	^ {  }
]

{ #category : #accessing }
GrafoscopioPillarASTextStringProjectionDecorator >> at: anInteger [
	^ self cached at: anInteger
]

{ #category : #accessing }
GrafoscopioPillarASTextStringProjectionDecorator >> cached [
	^ cached ifNil: [ cached := text extractStringFrom: from to: to ]
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> copyFrom: one to: two [
	^ self class new
		text: text;
		from: from + one;
		to: from + two;
		yourself
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> from: anInteger [ 
	from := anInteger
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> isEmpty [
	^ from <= to 
]

{ #category : #accessing }
GrafoscopioPillarASTextStringProjectionDecorator >> size [
 	^ to - from 
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringProjectionDecorator >> to: anInteger [ 
	to := anInteger
]
