Class {
	#name : #GrafoscopioFmtDoubleLinebreak,
	#superclass : #GrafoscopioFormat,
	#category : #'Grafoscopio-Pillar'
}

{ #category : #'target resize' }
GrafoscopioFmtDoubleLinebreak >> applyOn: aString from: textStart to: textStop [
	| return |
	return := textStart = (model textStart)
		ifTrue: [ OSPlatform current lineEnding , aString ]
		ifFalse: [ aString ].
	return := textStop = model textStop
		ifTrue: [ return , OSPlatform current lineEnding ]
		ifFalse: [ aString ].
	^ return
]

{ #category : #'target resize' }
GrafoscopioFmtDoubleLinebreak >> leftSize [
	^ OSPlatform current lineEnding size
]

{ #category : #'target resize' }
GrafoscopioFmtDoubleLinebreak >> rightSize [
	^ OSPlatform current lineEnding size
]
