Class {
	#name : #GrafoscopioFmtUrlAsBody,
	#superclass : #GrafoscopioFormat,
	#category : #'Grafoscopio-Pillar'
}

{ #category : #'target resize' }
GrafoscopioFmtUrlAsBody >> applyOn: aString from: textStart to: textStop [
	^ model reference
]

{ #category : #'target resize' }
GrafoscopioFmtUrlAsBody >> beInstalledIn: anExternalLink [
	anExternalLink children isEmpty ifFalse: [ ^ self  ].
	anExternalLink children: {(PRText new text: ' '; yourself)}. 
	super beInstalledIn: anExternalLink.
		
]

{ #category : #'target resize' }
GrafoscopioFmtUrlAsBody >> leftSize [
	^ model reference size - 1
]

{ #category : #'target resize' }
GrafoscopioFmtUrlAsBody >> rightSize [ 
	^ 0
]
