Class {
	#name : #GrafoscopioFormat,
	#superclass : #Object,
	#instVars : [
		'model'
	],
	#classInstVars : [
		'instance'
	],
	#category : #'Grafoscopio-Pillar'
}

{ #category : #accessing }
GrafoscopioFormat class >> instance [
	^ instance ifNil: [  instance := self new  ]
]

{ #category : #'target resize' }
GrafoscopioFormat >> applyOn: aString from: textStart to: textStop [
		self subclassResponsibility 
]

{ #category : #'target resize' }
GrafoscopioFormat >> beInstalledIn: aNode [

	aNode installFormat: (self copy model: aNode; yourself )
]

{ #category : #'target resize' }
GrafoscopioFormat >> leftSize [ 
	^ self subclassResponsibility 
]

{ #category : #'as yet unclassified' }
GrafoscopioFormat >> model: aPRHeader [ 
	model := aPRHeader
]

{ #category : #'target resize' }
GrafoscopioFormat >> rightSize [ 
	^ self subclassResponsibility 
]

{ #category : #'target resize' }
GrafoscopioFormat >> size [ 
	^ self leftSize + self rightSize 
]
