Class {
	#name : #GrafoscopioPillarASTextStringDecorator,
	#superclass : #Object,
	#instVars : [
		'text'
	],
	#category : #'Grafoscopio-Pillar'
}

{ #category : #accessing }
GrafoscopioPillarASTextStringDecorator >> at: aNumber [
	^ text at: aNumber
]

{ #category : #accessing }
GrafoscopioPillarASTextStringDecorator >> at: aNumber put: aChar [
	self halt 
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringDecorator >> copyFrom: one to: two [
	^ text copyFrom: one to: two
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringDecorator >> isByteString [
	^ false
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringDecorator >> isEmpty [
	^ text isEmpty
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringDecorator >> isWideString [
	^ true
]

{ #category : #accessing }
GrafoscopioPillarASTextStringDecorator >> notEmpty [
	^ text notEmpty
]

{ #category : #accessing }
GrafoscopioPillarASTextStringDecorator >> size [ 
	^ text size
]

{ #category : #'as yet unclassified' }
GrafoscopioPillarASTextStringDecorator >> string [
	self shouldBeImplemented.
]

{ #category : #accessing }
GrafoscopioPillarASTextStringDecorator >> text: aGFPText [
	text := aGFPText
]
